Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 157)
+++ lemon/bits/alteration_notifier.h	(revision 209)
@@ -1,5 +1,5 @@
-/* -*- C++ -*-
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
  *
- * This file is a part of LEMON, a generic C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
  * Copyright (C) 2003-2008
@@ -33,5 +33,5 @@
   /// \ingroup graphbits
   ///
-  /// \brief Notifier class to notify observes about alterations in 
+  /// \brief Notifier class to notify observes about alterations in
   /// a container.
   ///
@@ -50,5 +50,5 @@
   /// alteration of the graph.
   ///
-  /// This class provides an interface to the container. The \e first() and \e 
+  /// This class provides an interface to the container. The \e first() and \e
   /// next() member functions make possible to iterate on the keys of the
   /// container. The \e id() function returns an integer id for each key.
@@ -61,5 +61,5 @@
   /// from the graph. If all items are erased from the graph or from an empty
   /// graph a new graph is builded then it can be signaled with the
-  /// clear() and build() members. Important rule that if we erase items 
+  /// clear() and build() members. Important rule that if we erase items
   /// from graph we should first signal the alteration and after that erase
   /// them from the container, on the other way on item addition we should
@@ -69,5 +69,5 @@
   /// \e ObserverBase nested class. The signals can be handled with
   /// overriding the virtual functions defined in the base class.  The
-  /// observer base can be attached to the notifier with the 
+  /// observer base can be attached to the notifier with the
   /// \e attach() member and can be detached with detach() function. The
   /// alteration handlers should not call any function which signals
@@ -80,5 +80,5 @@
   /// be rolled back by calling the \e erase() or \e clear()
   /// functions. Thence the \e erase() and \e clear() should not throw
-  /// exception. Actullay, it can be throw only 
+  /// exception. Actullay, it can be throw only
   /// \ref AlterationObserver::ImmediateDetach ImmediateDetach
   /// exception which detach the observer from the notifier.
@@ -86,5 +86,5 @@
   /// There are some place when the alteration observing is not completly
   /// reliable. If we want to carry out the node degree in the graph
-  /// as in the \ref InDegMap and we use the reverseEdge that cause 
+  /// as in the \ref InDegMap and we use the reverseEdge that cause
   /// unreliable functionality. Because the alteration observing signals
   /// only erasing and adding but not the reversing it will stores bad
@@ -105,5 +105,5 @@
     typedef _Item Item;
 
-    /// \brief Exception which can be called from \e clear() and 
+    /// \brief Exception which can be called from \e clear() and
     /// \e erase().
     ///
@@ -128,5 +128,5 @@
     /// The build() and clear() members are to notify the observer
     /// about the container is built from an empty container or
-    /// is cleared to an empty container. 
+    /// is cleared to an empty container.
 
     class ObserverBase {
@@ -139,5 +139,5 @@
       ///
       /// Default constructor for ObserverBase.
-      /// 
+      ///
       ObserverBase() : _notifier(0) {}
 
@@ -152,11 +152,11 @@
       ///
       /// Constructor which attach the obserever to the same notifier as
-      /// the other observer is attached to. 
+      /// the other observer is attached to.
       ObserverBase(const ObserverBase& copy) {
-	if (copy.attached()) {
+        if (copy.attached()) {
           attach(*copy.notifier());
-	}
-      }
-	
+        }
+      }
+
       /// \brief Destructor
       virtual ~ObserverBase() {
@@ -171,7 +171,7 @@
       ///
       void attach(AlterationNotifier& nf) {
-	nf.attach(*this);
-      }
-      
+        nf.attach(*this);
+      }
+
       /// \brief Detaches the observer into an AlterationNotifier.
       ///
@@ -181,6 +181,6 @@
         _notifier->detach(*this);
       }
-      
-      /// \brief Gives back a pointer to the notifier which the map 
+
+      /// \brief Gives back a pointer to the notifier which the map
       /// attached into.
       ///
@@ -189,5 +189,5 @@
       ///
       Notifier* notifier() const { return const_cast<Notifier*>(_notifier); }
-      
+
       /// Gives back true when the observer is attached into a notifier.
       bool attached() const { return _notifier != 0; }
@@ -198,5 +198,5 @@
 
     protected:
-      
+
       Notifier* _notifier;
       typename std::list<ObserverBase*>::iterator _index;
@@ -210,5 +210,5 @@
       virtual void add(const Item&) = 0;
 
-      /// \brief The member function to notificate the observer about 
+      /// \brief The member function to notificate the observer about
       /// more item is added to the container.
       ///
@@ -223,8 +223,8 @@
       /// The erase() member function notificates the observer about an
       /// item is erased from the container. It have to be overrided in
-      /// the subclasses.	
+      /// the subclasses.
       virtual void erase(const Item&) = 0;
 
-      /// \brief The member function to notificate the observer about 
+      /// \brief The member function to notificate the observer about
       /// more item is erased from the container.
       ///
@@ -248,24 +248,24 @@
       /// The clear() member function notificates the observer about all
       /// items are erased from the container. It have to be overrided in
-      /// the subclasses.      
+      /// the subclasses.
       virtual void clear() = 0;
 
     };
-	
+
   protected:
 
     const Container* container;
 
-    typedef std::list<ObserverBase*> Observers; 
+    typedef std::list<ObserverBase*> Observers;
     Observers _observers;
 
-		
+
   public:
 
     /// \brief Default constructor.
     ///
-    /// The default constructor of the AlterationNotifier. 
+    /// The default constructor of the AlterationNotifier.
     /// It creates an empty notifier.
-    AlterationNotifier() 
+    AlterationNotifier()
       : container(0) {}
 
@@ -273,17 +273,17 @@
     ///
     /// Constructor with the observed container parameter.
-    AlterationNotifier(const Container& _container) 
+    AlterationNotifier(const Container& _container)
       : container(&_container) {}
 
-    /// \brief Copy Constructor of the AlterationNotifier. 
-    ///
-    /// Copy constructor of the AlterationNotifier. 
+    /// \brief Copy Constructor of the AlterationNotifier.
+    ///
+    /// Copy constructor of the AlterationNotifier.
     /// It creates only an empty notifier because the copiable
     /// notifier's observers have to be registered still into that notifier.
-    AlterationNotifier(const AlterationNotifier& _notifier) 
+    AlterationNotifier(const AlterationNotifier& _notifier)
       : container(_notifier.container) {}
 
     /// \brief Destructor.
-    ///		
+    ///
     /// Destructor of the AlterationNotifier.
     ///
@@ -291,5 +291,5 @@
       typename Observers::iterator it;
       for (it = _observers.begin(); it != _observers.end(); ++it) {
-	(*it)->_notifier = 0;
+        (*it)->_notifier = 0;
       }
     }
@@ -339,5 +339,5 @@
       return container->maxId(Item());
     }
-		
+
   protected:
 
@@ -345,5 +345,5 @@
       observer._index = _observers.insert(_observers.begin(), &observer);
       observer._notifier = this;
-    } 
+    }
 
     void detach(ObserverBase& observer) {
@@ -354,11 +354,11 @@
 
   public:
-	
-    /// \brief Notifies all the registed observers about an item added to 
-    /// the container.
-    ///
-    /// It notifies all the registed observers about an item added to 
-    /// the container.
-    /// 
+
+    /// \brief Notifies all the registed observers about an item added to
+    /// the container.
+    ///
+    /// It notifies all the registed observers about an item added to
+    /// the container.
+    ///
     void add(const Item& item) {
       typename Observers::reverse_iterator it;
@@ -374,12 +374,12 @@
         throw;
       }
-    }	
-
-    /// \brief Notifies all the registed observers about more item added to 
-    /// the container.
-    ///
-    /// It notifies all the registed observers about more item added to 
-    /// the container.
-    /// 
+    }
+
+    /// \brief Notifies all the registed observers about more item added to
+    /// the container.
+    ///
+    /// It notifies all the registed observers about more item added to
+    /// the container.
+    ///
     void add(const std::vector<Item>& items) {
       typename Observers::reverse_iterator it;
@@ -395,12 +395,12 @@
         throw;
       }
-    }	
-
-    /// \brief Notifies all the registed observers about an item erased from 
-    /// the container.
-    ///	
-    /// It notifies all the registed observers about an item erased from 
-    /// the container.
-    /// 
+    }
+
+    /// \brief Notifies all the registed observers about an item erased from
+    /// the container.
+    ///
+    /// It notifies all the registed observers about an item erased from
+    /// the container.
+    ///
     void erase(const Item& item) throw() {
       typename Observers::iterator it = _observers.begin();
@@ -417,10 +417,10 @@
     }
 
-    /// \brief Notifies all the registed observers about more item erased  
+    /// \brief Notifies all the registed observers about more item erased
     /// from the container.
-    ///	
-    /// It notifies all the registed observers about more item erased from 
-    /// the container.
-    /// 
+    ///
+    /// It notifies all the registed observers about more item erased from
+    /// the container.
+    ///
     void erase(const std::vector<Item>& items) {
       typename Observers::iterator it = _observers.begin();
@@ -437,7 +437,7 @@
     }
 
-    /// \brief Notifies all the registed observers about the container is 
+    /// \brief Notifies all the registed observers about the container is
     /// built.
-    ///		
+    ///
     /// Notifies all the registed observers about the container is built
     /// from an empty container.
@@ -457,5 +457,5 @@
     }
 
-    /// \brief Notifies all the registed observers about all items are 
+    /// \brief Notifies all the registed observers about all items are
     /// erased.
     ///
